[arch-commits] Commit in testdisk/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Thu Nov 19 08:04:54 EST 2009


    Date: Thursday, November 19, 2009 @ 08:04:54
  Author: giovanni
Revision: 59027

Merged revisions 59025 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/testdisk/trunk

........
  r59025 | giovanni | 2009-11-19 05:02:23 -0800 (gio, 19 nov 2009) | 2 lines
  
  upgpkg: testdisk 6.11.3-1
      upstream release
........

Modified:
  testdisk/repos/extra-x86_64/	(properties)
  testdisk/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)


Property changes on: testdisk/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /testdisk/trunk:1-47608
   + /testdisk/trunk:1-59026

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-19 13:03:06 UTC (rev 59026)
+++ extra-x86_64/PKGBUILD	2009-11-19 13:04:54 UTC (rev 59027)
@@ -4,19 +4,23 @@
 # Contributor: Michal Krenek <mikos at sg1.cz>
 
 pkgname=testdisk
-pkgver=6.11
+pkgver=6.11.3
 pkgrel=1
-pkgdesc="Tool to check and undelete partition and recover pictures from digital camera memory"
+pkgdesc="Checks and undeletes partitions + PhotoRec, signature based recovery tool"
 arch=('i686' 'x86_64')
 url="http://www.cgsecurity.org/index.html?testdisk.html"
 license=('GPL')
-depends=('e2fsprogs' 'openssl' 'progsreiserfs' 'ntfsprogs' 'libjpeg')
-source=(http://www.cgsecurity.org/$pkgname-$pkgver.tar.bz2)
-md5sums=('11f8fe95dcd190b69b782efa65b29ba1')
+depends=('libjpeg' 'progsreiserfs' 'ntfsprogs')
+makedepends=('pkgconfig')
+source=(http://www.cgsecurity.org/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('ceee384a8613d8f7ffff5ccfa3fba510')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --prefix=/usr \
+              --without-ewf \
+              --enable-sudo
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR="${pkgdir}/" install || return 1
 }



More information about the arch-commits mailing list